> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shardcloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get database connection URL



## OpenAPI

````yaml /api-reference/openapi.json get /databases/{database_id}/connection-url
openapi: 3.0.0
info:
  title: Cloud Website API
  description: API documentation for database and app management endpoints
  version: 1.0.0
servers:
  - url: https://shardcloud.app/api
    description: API base path
security: []
tags:
  - name: Databases
    description: Database management operations
  - name: Apps
    description: Application management operations
paths:
  /databases/{database_id}/connection-url:
    get:
      tags:
        - Databases
      summary: Get database connection URL
      parameters:
        - name: database_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Connection URLs
          content:
            application/json:
              schema:
                type: object
                properties:
                  connection_url:
                    type: string
                  visualizer_url:
                    type: string
                    description: Only present if database has visualizer enabled
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - JWTAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    JWTAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````